Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.wizard
Class WizardDialog.PageContainerFillLayout

    java.lang.Object
      org.eclipse.swt.widgets.Layout
          org.eclipse.jface.wizard.WizardDialog.PageContainerFillLayout

Enclosing class:
  WizardDialog

protected class WizardDialog.PageContainerFillLayout
extends Layout

A layout for a container which includes several pages, like a notebook, wizard, or preference dialog. The size computed by this layout is the maximum width and height of all pages currently inserted into the container.

Field Summary
`int` | `marginHeight` The margin height; `5` pixels by default.
`int` | `marginWidth` The margin width; `5` pixels by default.
`int` | `minimumHeight` The minimum height; `0` pixels by default.
`int` | `minimumWidth` The minimum width; `0` pixels by default.

Constructor Summary
`WizardDialog.PageContainerFillLayout(int mw, int mh, int minW, int minH)` Creates new layout object.

Method Summary
`Point` | `computeSize(Composite composite, int wHint, int hHint, boolean force)` Computes and returns the size of the specified composite's client area according to this layout.
`Rectangle` | `getClientArea(Composite c)` Returns the client area for the given composite according to this layout.
`void` | `layout(Composite composite, boolean force)` Lays out the children of the specified composite according to this layout.
`void` | `layoutPage(Control w)` Lays outs the page according to this layout.
`void` | `setPageLocation(Control w)` Sets the location of the page so that its origin is in the upper left corner.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### marginWidth

    public int marginWidth

  The margin width; `5` pixels by default.

### marginHeight

    public int marginHeight

  The margin height; `5` pixels by default.

### minimumWidth

    public int minimumWidth

  The minimum width; `0` pixels by default.

### minimumHeight

    public int minimumHeight

  The minimum height; `0` pixels by default.

Constructor Detail

### WizardDialog.PageContainerFillLayout

    public WizardDialog.PageContainerFillLayout(int mw,
                                                int mh,
                                                int minW,
                                                int minH)

  Creates new layout object.

Parameters:
  `mw` - the margin width
  `mh` - the margin height
  `minW` - the minimum width
  `minH` - the minimum height

Method Detail

### computeSize

    public Point computeSize(Composite composite,
                             int wHint,
                             int hHint,
                             boolean force)

  Description copied from class: `Layout`
  Computes and returns the size of the specified composite's client area according to this layout.

  This method computes the minimum size that the client area of the composite must be in order to position all children at their minimum size inside the composite according to the layout algorithm encoded by this layout.

  When a width or height hint is supplied, it is used to constrain the result. For example, if a width hint is provided that is less than the minimum width of the client area, the layout may choose to wrap and increase height, clip, overlap, or otherwise constrain the children.

  Specified by:
    `computeSize` in class `Layout`
  Parameters:
    `composite` - a composite widget using this layout
    `wHint` - width (`SWT.DEFAULT` for minimum)
    `hHint` - height (`SWT.DEFAULT` for minimum)
    `force` - `true` means flush cached layout values
  Returns:
    a point containing the computed size (width, height)
  See Also:
    `Layout.layout(org.eclipse.swt.widgets.Composite, boolean)`, `Control.getBorderWidth()`, `Control.getBounds()`, `Control.getSize()`, `Control.pack()`, "computeTrim, getClientArea for controls that implement them"

### getClientArea

    public Rectangle getClientArea(Composite c)

  Returns the client area for the given composite according to this layout.

  Parameters:
    `c` - the composite
  Returns:
    the client area rectangle

### layout

    public void layout(Composite composite,
                       boolean force)

  Description copied from class: `Layout`
  Lays out the children of the specified composite according to this layout.

  This method positions and sizes the children of a composite using the layout algorithm encoded by this layout. Children of the composite are positioned in the client area of the composite. The position of the composite is not altered by this method.

  When the flush cache hint is true, the layout is instructed to flush any cached values associated with the children. Typically, a layout will cache the preferred sizes of the children to avoid the expense of computing these values each time the widget is layed out.

  When layout is triggered explicitly by the programmer the flush cache hint is true. When layout is triggered by a resize, either caused by the programmer or by the user, the hint is false.

  Specified by:
    `layout` in class `Layout`
  Parameters:
    `composite` - a composite widget using this layout
    `force` - `true` means flush cached layout values

### layoutPage

    public void layoutPage(Control w)

  Lays outs the page according to this layout.

  Parameters:
    `w` - the control

### setPageLocation

    public void setPageLocation(Control w)

  Sets the location of the page so that its origin is in the upper left corner.

  Parameters:
    `w` - the control

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.